netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
atp_handle Struct Reference

`#include <atp.h>`

## Data Fields
int | atph_socket
struct sockaddr_at | atph_saddr
uint16_t | atph_tid
uint16_t | atph_rtid
uint8_t | atph_rxo
int | atph_rreltime
struct atpbuf * | atph_sent
struct atpbuf * | atph_queue
int | atph_reqtries
int | atph_reqto
int | atph_rrespcount
uint8_t | atph_rbitmap
struct atpbuf * | atph_reqpkt
struct timeval | atph_reqtv
struct atpbuf * | atph_resppkt [8]

## Field Documentation

## ◆ atph_queue

struct atpbuf* atp_handle::atph_queue

queue of pending packets

## ◆ atph_rbitmap

uint8_t atp_handle::atph_rbitmap

bitmap for request

## ◆ atph_reqpkt

struct atpbuf* atp_handle::atph_reqpkt

last request packet

## ◆ atph_reqto

int atp_handle::atph_reqto

retry timeout for request

## ◆ atph_reqtries

int atp_handle::atph_reqtries

retry count for request

## ◆ atph_reqtv

struct timeval atp_handle::atph_reqtv

when we last sent request

## ◆ atph_resppkt

struct atpbuf* atp_handle::atph_resppkt[8]

response to request

## ◆ atph_rreltime

int atp_handle::atph_rreltime

release time (secs)

## ◆ atph_rrespcount

int atp_handle::atph_rrespcount

expected # of responses

## ◆ atph_rtid

uint16_t atp_handle::atph_rtid

last received (rreq)

## ◆ atph_rxo

uint8_t atp_handle::atph_rxo

XO flag from last rreq

## ◆ atph_saddr

struct sockaddr_at atp_handle::atph_saddr

address

## ◆ atph_sent

struct atpbuf* atp_handle::atph_sent

packets we send (XO)

## ◆ atph_socket

int atp_handle::atph_socket

ddp socket

## ◆ atph_tid

uint16_t atp_handle::atph_tid

last tid used

The documentation for this struct was generated from the following file:

- atp.h